PDA

Visualizza la versione completa : [Kubuntu Edgy]: Attivare symmetric multi-processing support (smp) su 32Bit


NOFXER
21-02-2007, 14:38
Salve ragazzi.. Siccome ho un AMD64 Athlon dual 4400+ ed ho installato una versione a 32 bit, volevo installare quel supporto per il doppio processore, visto che ne lavora soltanto uno, come ho notato dai monitor di sistema..

a questo punto ho provato ad installare i seguenti pacchetti:

kernel-headers-2.4.27-2-k7-smp -->

(This package provides common kernel header files for version 2.4.27 for AMD Duron/Athlon with SMP support, used to build out-of-tree kernel modules and the like. SMP (symmetric multi-processing support) is needed if you have more than one CPU. Please read /usr/share/doc/kernel-headers-2.4.27-2-k7-smp/debian.README.gz for details.)

kernel-image-2.4.27-2-k7-smp -->

This package contains the Linux kernel image for version 2.4.27 on 32bit AMD Duron/Athlon/AthlonXP with SMP support, the corresponding System.map file, and the modules built by the packager. SMP (symmetric multi-processing) is needed if you have more than one CPU. It also contains scripts that try to ensure that the system is not left in a unbootable state after an update.
If you wish to update a bootdisk, or to use a bootloader to make installing and using the image easier, we suggest you install the latest fdutils (for formatting a floppy to be used as boot disk), and LILO, for a powerful bootloader. Of course, both these are optional.
Kernel image packages are generally produced using kernel-package, and it is suggested that you install that package if you wish to create a custom kernel from the sources.


Dopodichè ho riavviato selezionando quel kernel, ma non funziona...
Mi dice: unable to mount root fs.
Naturale, perchè io mi ero buttato a capofitto nel tentativo, incrociando solamente le dita..

Qual è il procedimento da seguire?

Come kernel funzionanti ho: 2.4.17-10-386 e 2.4.17-10-generic

Grazie mille per l'aiuto, questa non è facile..

(edit: non si accettano consigli di installare le versioni 64bit, che sono un macello per quanto riguarda l'hardware e la messa a punto ed inoltre sono molto meno seguite delle versioni a 32bit, essendo disponibili circa la metà dei programmi e dei pacchetti )

:ciauz: :D

sacarde
21-02-2007, 19:35
sembrerebbe non trovare il modulo per leggere il tuo filesystem

oppure non l'hai inserito nell'initrd

quale filesystem usi ?

Loading